petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerSetUp

Sets up the internal viewer data structures for the later use.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerSetUp(PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

viewer -the PetscViewer context

### Notes

For basic use of the PetscViewer classes the user need not explicitly call PetscViewerSetUp(), since these actions will happen automatically.

### Keywords

PetscViewer, setup

### See Also

PetscViewerCreate(), PetscViewerDestroy()

Level:advanced
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages